Subject: [core] 🔔 WG Last Call of CORECONF drafts: draft-ietf-core-yang-cbor-12, -sid-11, -comi-09, -yang-library-01

From: Carsten Bormann <[email-masked]>
Date: Mon, 9 Mar 2020 14:04:32 +0100

It took us a long time to get the four CORECONF drafts in sync, 
but now we are ready for WGLC.

This starts a working group last call for
— draft-ietf-core-yang-cbor-12
— draft-ietf-core-sid-11
— draft-ietf-core-comi-09
— draft-ietf-core-yang-library-01

ending on

	24:00 UTC on Tuesday, March 31, 2020.

(This includes some extra time for the IETF week and for cross-WG
coordination.)

This WGLC is copied to the netmod WG mailing list; please do have a look 
at these drafts as they are slated to become a part of the greater
YANG/NETCONF/RESTCONF family.  We intend the discussion to be on the
CoRE mailing list, but if you find a fundamental issue with YANG or 
RESTCONF, feel free to discuss that on netmod instead.

Please start a new email thread for each major issue that will need
discussion and make sure the subject line includes the draft name and
some sort of name for the issue.  (Minor issues such as typos can also
be sent to the authors.)

If you read the draft and think it looks fine, please send a one line 
email to the list or to the chairs letting us know that so we can get 
a feel of how broad the review has been.

(To reviewers and authors:)  If you are aware of any patent claims that
might apply to systems that implement these drafts, please review BCP 78
and BCP 79 and make any appropriate IPR declaration before the last-call
ends. If you are not sure whether you need to make a declaration or not, 
please talk to the chairs and we will help.

Grüße, Carsten

---

From: Ivaylo Petrov <[email-masked]>
Date: Mon, 30 Mar 2020 09:56:00 +0200

Dear all,

I have reviewed those documents and I believe they are ready for
publication.

Best regards,
Ivaylo

On Mon, Mar 9, 2020 at 2:05 PM Carsten Bormann <[email-masked]> wrote:

> _______________________________________________
> core mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/core
>

---

From: tom petch <[email-masked]>
Date: Mon, 30 Mar 2020 09:44:48 +0000

From: netmod <[email-masked]> on behalf of Carsten Bormann <[email-masked]>
Sent: 09 March 2020 13:04
Subject: [netmod] 🔔 WG Last Call of CORECONF drafts: draft-ietf-core-yang-cbor-12, -sid-11, -comi-09, -yang-library-01

This starts a working group last call for
— draft-ietf-core-yang-cbor-12
— draft-ietf-core-sid-11
— draft-ietf-core-comi-09
— draft-ietf-core-yang-library-01
<tp>
yang library defines a prefix of yanglib for ietf-constrained-yang library
I saw prefix yanglib defined for ietf-yang-library some time ago
prefix should be unique; should this be yanglibc or yangclib or ....

tom petch

ending on

Grüße, Carsten

_______________________________________________
netmod mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/netmod

---

From: tom petch <[email-masked]>
Date: Mon, 30 Mar 2020 10:10:48 +0000

There is quite a lot wrong with the admin of the YANG-library I-D when compared with RFC8407 IMHO

Security considerations does not conform to boiler plate

IANA considerations does not register name space

RFC 6991  is imported and so MUST be a Normative reference

ietf-sid-file is imported and so MUST be a Normative  not Informative reference for the I-D

reference ietf-core-sid would be better as RFC YYYY with an RFC Editor note asking them to replace YYYY with the number assigned to 'YANG Schema ...

Organization Netconf WG seems an odd choice and contradicts contact details

Contact does not normally specify WG Chairs 

more than one revision clause

CORECONF not an abbreviation I recognise

I will look some more as and when these are addressed (or I see IETF Last Call:-)

Tom Petch
________________________________________
From: netmod <[email-masked]> on behalf of Carsten Bormann <[email-masked]>
Sent: 09 March 2020 13:04
To: core
Cc: [email-masked]
Subject: [netmod] 🔔 WG Last Call of CORECONF drafts: draft-ietf-core-yang-cbor-12, -sid-11, -comi-09, -yang-library-01

ending on

Grüße, Carsten

---

From: tom petch <[email-masked]>
Date: Mon, 30 Mar 2020 11:16:04 +0000

Some YANG admin for core-sid

import must have a reference clause

such reference must be Normative References for the I-D

no RFC Editor note to update the date (I know, they will fix that :-)

contact lacks e-mail of WG

IANA Considerations fails to register namespace

IANA Considerations does not specify a Group name; a well-chosen group name makes a registry easy to find.  Many if not most of the existing Group names are not well-chosen.  Please choose with care. e.g. is this for constrained devices or for all; is it specific to YANG and will there be other uses? ....

Tom Petch

ending on

Grüße, Carsten

---

From: Peter van der Stok <[email-masked]>
Date: Tue, 31 Mar 2020 14:16:26 +0200

Dear all,

I have reread draft-ietf-core-yang-sid.
I am quite happy that this document enters its final processing stage.
The document satisfies our wishes expressed earlier.

One small point:
In section 6.2.2 the size seems superfluous as all ranges have the same
size.

Greetings,

Peter